const maganhangzok = ["a", "á", "e", "é", "i", "í", "o", "ó", "ö", "ő", "u", "ú", "ü", "ű"]
let maganhangzokSzamolva = {}

let text = prompt("Adj meg egy szót:")

function maganhangzokSzamolasa(text) {
    const betuk = text.split("")
    betuk.forEach(element => {
        if (!maganhangzok.includes(element.toLowerCase())){
            return
        }
        if (Object.keys(maganhangzokSzamolva).includes(element.toLowerCase())) {
            maganhangzokSzamolva[element.toLowerCase()] += 1
        } else {
            maganhangzokSzamolva[element.toLowerCase()] = 1
        }
    });
}

maganhangzokSzamolasa(text)

console.log(`A "${text}" szó magánhangzói:`);
Object.keys(maganhangzokSzamolva).forEach(element => {
    console.log(`\t${element}: ${maganhangzokSzamolva[element]}`);
})
